function Get-UpdateArmTemplateFile {
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $true)][string][ValidateScript({ Test-Path $_ -PathType "Container" })]$Folder
    )

    # Read config parameters.
    $fileName = (Read-Config).UpdateArmTemplateFileName

    # Concat the ARM template file path.
    $armTemplateFile = Join-Path -Path $Folder -ChildPath $fileName

    if (!(Test-Path -Path $armTemplateFile)) {
        throw "Could not find '$fileName' in '$Folder'."
    }

    return $armTemplateFile
}